org.eclipse.net4j.util.security

## Class SecurityUtil

- java.lang.Object
- - org.eclipse.net4j.util.security.SecurityUtil

-     public final class SecurityUtil
      extends java.lang.Object

  Author:
    Eike Stepper

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEFAULT_ITERATION_COUNT`
    `static byte[]` | `DEFAULT_SALT`
    `static java.lang.String` | `PBE_WITH_MD5_AND_DES`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static byte[]` | `encrypt(byte[] data, char[] password, java.lang.String algorithmName, byte[] salt, int count)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PBE_WITH_MD5_AND_DES

          public static final java.lang.String PBE_WITH_MD5_AND_DES

      See Also:
        Constant Field Values

    - #### DEFAULT_SALT

          public static final byte[] DEFAULT_SALT

      Since:
        2.0

    - #### DEFAULT_ITERATION_COUNT

          public static final int DEFAULT_ITERATION_COUNT

      Since:
        2.0
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### encrypt

          public static byte[] encrypt(byte[] data,
                                       char[] password,
                                       java.lang.String algorithmName,
                                       byte[] salt,
                                       int count)
                                throws java.security.NoSuchAlgorithmException,
                                       java.security.spec.InvalidKeySpecException,
                                       javax.crypto.NoSuchPaddingException,
                                       java.security.InvalidKeyException,
                                       java.security.InvalidAlgorithmParameterException,
                                       javax.crypto.IllegalBlockSizeException,
                                       javax.crypto.BadPaddingException

      Throws:
        `java.security.NoSuchAlgorithmException`
        `java.security.spec.InvalidKeySpecException`
        `javax.crypto.NoSuchPaddingException`
        `java.security.InvalidKeyException`
        `java.security.InvalidAlgorithmParameterException`
        `javax.crypto.IllegalBlockSizeException`
        `javax.crypto.BadPaddingException`
      Since:
        2.0

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html